/*----------------------
   EZFONT.H header file
  ----------------------*/

#define  WIN_BLACK      (0x00000000U)
#define  WIN_BLUE       (0x00AA0000U)
#define  WIN_GREEN      (0x0000AA00U)
#define  WIN_CYAN       (0x00AAAA00U)
#define  WIN_RED        (0x000000AAU)
#define  WIN_MAGENTA    (0x00AA00AAU)
#define  WIN_BROWN      (0x000055AAU)
#define  WIN_WHITE      (0x00AAAAAAU)
#define  WIN_GREY       (0x00555555U)
#define  WIN_BBLUE      (0x00FF5555U)
#define  WIN_BGREEN     (0x0055FF55U)
#define  WIN_BCYAN      (0x00FFFF55U)
#define  WIN_BRED       (0x005555FFU)
#define  WIN_BMAGENTA   (0x00FF55FFU)
#define  WIN_YELLOW     (0x0055FFFFU)
#define  WIN_BWHITE     (0x00FFFFFFU)

//***************************************************************
//  message colors, which will eventually be
//  controlled by INI file
//***************************************************************
// extern unsigned attr_atmosphere ;
// extern unsigned attr_death ;
// extern unsigned attr_message ;
// extern unsigned attr_error ;
// extern unsigned attr_mon_hit ;
// extern unsigned attr_player_hit ;
// extern unsigned attr_new_round ;
// extern unsigned attr_rune_msg ;

//***************************************************************
#define EZ_ATTR_NORMAL        0
#define EZ_ATTR_BOLD          1
#define EZ_ATTR_ITALIC        2
#define EZ_ATTR_UNDERLINE     4
#define EZ_ATTR_STRIKEOUT     8

HFONT build_font(char *fname, unsigned fheight, unsigned fweight, unsigned fitalic, unsigned funderline, unsigned fstrikeout);
void init_msg_window(HWND hwnd, unsigned x0, unsigned y0, unsigned dx, unsigned dy);
void gotoxy(HDC hdc, int x, int y);
void gotoxy(HWND hwnd, int x, int y);
void set_text_color(unsigned new_color);
void set_text_attributes(unsigned new_attribs);
int  set_text_font(char *fontname, int psize);
void set_default_font(void);
void set_text_size(int psize);
void set_text_angle(unsigned degs);
int  textheight(HDC hdc, unsigned selected);
int  textwidth(HDC hdc, char *str);
void dputs(HDC hdc, char *str);
void dputs(HDC hdc, char *str, unsigned attr);
void dprints(HDC hdc, int x, int y, unsigned attr, char *str);
void dprints(HDC hdc, int x, int y, unsigned fg, unsigned bg, char *str);
void dprints_centered_x(HDC hdc, long y, unsigned attr, char *str);
void dprints_centered_x(HDC hdc, long y, unsigned fg, unsigned bg, char *str);
void dprints_centered_x(HWND hwnd, long y, unsigned attr, char *str);
void dprints_centered_x(HWND hwnd, long y, unsigned fg, unsigned bg, char *str);
void set_message_area_font(void);

