struct menu_select_s {
   unsigned short hMenu ;
   char  *msg ;
} ;

#define  ALLOW_RESIZE   1
#define  NO_RESIZE      0

//-------------------------------------------------------------------
#define IDM_STAT_IGNORESIZE             600
#define IDM_STAT_SIZEGRIP               700
#define IDM_STAT_TOP                    701
#define IDM_STAT_BOTTOM                 702
#define IDM_STAT_NOMOVEY                703
#define IDM_STAT_NOPARENTALIGN          704
#define IDM_STAT_NORESIZE               705
#define IDM_ST_GETBORDERS               800
#define IDM_ST_GETPARTS                 801
#define IDM_ST_SETTEXT                  802
#define IDM_ST_SIMPLE                   803

#define IDS_MAIN_MENU                   71     // -- Strings --
#define IDS_TOOLBAR_MENU                80
#define IDS_STATUSBAR_MENU              90

//-------------------------------------------------------------------
// Status Bar Helper Macros
//-------------------------------------------------------------------
#define Status_GetBorders(hwnd, aBorders) \
    (BOOL)SendMessage((hwnd), SB_GETBORDERS, 0, (LPARAM) (LPINT) aBorders)

#define Status_GetParts(hwnd, nParts, aRightCoord) \
    (int)SendMessage((hwnd), SB_GETPARTS, (WPARAM) nParts, (LPARAM) (LPINT) aRightCoord)

#define Status_GetRect(hwnd, iPart, lprc) \
    (BOOL)SendMessage((hwnd), SB_GETRECT, (WPARAM) iPart, (LPARAM) (LPRECT) lprc)

#define Status_GetText(hwnd, iPart, szText) \
    (DWORD)SendMessage((hwnd), SB_GETTEXT, (WPARAM) iPart, (LPARAM) (LPSTR) szText)

#define Status_GetTextLength(hwnd, iPart) \
    (DWORD)SendMessage((hwnd), SB_GETTEXTLENGTH, (WPARAM) iPart, 0L)

#define Status_SetMinHeight(hwnd, minHeight) \
    (void)SendMessage((hwnd), SB_SETMINHEIGHT, (WPARAM) minHeight, 0L)

#define Status_SetParts(hwnd, nParts, aWidths) \
    (BOOL)SendMessage((hwnd), SB_SETPARTS, (WPARAM) nParts, (LPARAM) (LPINT) aWidths)

#define Status_SetText(hwnd, iPart, uType, szText) \
    (BOOL)SendMessage((hwnd), SB_SETTEXT, (WPARAM) (iPart | uType), (LPARAM) (LPSTR) szText)

#define Status_Simple(hwnd, fSimple) \
    (BOOL)SendMessage((hwnd), SB_SIMPLE, (WPARAM) (BOOL) fSimple, 0L)

//-------------------------------------------------------------------
//    function prototypes
//-------------------------------------------------------------------
HWND InitStatusBar (HWND hwndParent, int allow_resize);
HWND RebuildStatusBar (HWND hwndParent, WORD wFlag);
void StatusBarMessage (HWND hwndSB, WORD wMsg);
LRESULT Statusbar_MenuSelect (HWND hwnd, WPARAM wParam, LPARAM lParam);
LRESULT Statusbar_ShowMessage(char *msg);
BOOL StatusBar_SetParts(HWND hwndStatusBar, int nParts, int *sbparts);
BOOL StatusBar_SetText(HWND hwndStatusBar, unsigned iPart, unsigned uType, char *szText);

